<!doctype html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport"
              content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>session 1 JS</title>
    </head>
    <body>
        <input type="number" id="number1">
        <input type="number" id="number2">
        <button id="sum" onClick="sum()">Sum</button>
        <h3>Result: <span id="result">0</span></h3>
        <script>
            function sum() {
                var n1 = parseFloat(document.getElementById('number1').value),
                    n2 = parseFloat(document.getElementById('number2').value),
                    sum = n1 + n2,
                    result = document.getElementById('result');

                result.innerText = sum;
            }
        </script>
    </body>
</html>
